Query task status
curl --request POST \
--url https://api.wizzx.ai/api/v1/task/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.wizzx.ai/api/v1/task/status"
payload = { "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({task_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.wizzx.ai/api/v1/task/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"message": "success",
"data": {
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"result_urls": [
"<string>"
],
"error": "<string>",
"credits_deducted": 1
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}任务管理
查询任务状态
POST 查询异步生成任务状态
POST
/
api
/
v1
/
task
/
status
Query task status
查询任务
使用提交响应中的 Wizzxtask_id,并携带同一个 API Key。该接口只读取已保存的任务状态,不会再次向 Provider 提交任务。
curl --fail-with-body --silent --show-error \
-X POST https://api.wizzx.ai/api/v1/task/status \
-H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" \
--data '{
"task_id": "4bbbc9e0-8de8-4f35-a31e-8596c1a6d18a"
}'
PENDING、QUEUED、PROCESSING、REVIEW_REQUIRED、SUCCEEDED、FAILED。内部 DISPATCHING 会以 PROCESSING 返回。
非终态继续查询同一个 Task ID。遇到未知状态、REVIEW_REQUIRED 或提交结果不明确时,不得自动创建替代任务。此页面对您有帮助吗?
